HdfsConfiguration (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs, class: HdfsConfiguration

Package org.apache.hadoop.hdfs

# Class HdfsConfiguration

java.lang.Object
org.apache.hadoop.conf.Configuration
org.apache.hadoop.hdfs.HdfsConfiguration

All Implemented Interfaces:
  `Iterable<Map.Entry<String,String>>`, `org.apache.hadoop.io.Writable`

@Private public class HdfsConfiguration extends org.apache.hadoop.conf.Configuration
Adds deprecated keys into the configuration.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.conf.Configuration

  `org.apache.hadoop.conf.Configuration.DeprecationDelta, org.apache.hadoop.conf.Configuration.IntegerRanges`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HdfsConfiguration()`
  `HdfsConfiguration(boolean loadDefaults)`
  `HdfsConfiguration(org.apache.hadoop.conf.Configuration conf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `init()`
  This method is here so that when invoked, HdfsConfiguration is class-loaded if it hasn't already been previously loaded.
  `static void`
  `main(String[] args)`

  ### Methods inherited from class org.apache.hadoop.conf.Configuration

  `addDefaultResource, addDeprecation, addDeprecation, addDeprecation, addDeprecation, addDeprecations, addResource, addResource, addResource, addResource, addResource, addResource, addResource, addResource, addResource, addResource, addResource, addTags, clear, dumpConfiguration, dumpConfiguration, dumpDeprecatedKeys, get, get, getAllPropertiesByTag, getAllPropertiesByTags, getBoolean, getClass, getClass, getClassByName, getClassByNameOrNull, getClasses, getClassLoader, getConfResourceAsInputStream, getConfResourceAsReader, getDouble, getEnum, getEnumSet, getFile, getFinalParameters, getFloat, getInstances, getInt, getInts, getLocalPath, getLong, getLongBytes, getPassword, getPasswordFromConfig, getPasswordFromCredentialProviders, getPattern, getPropertySources, getProps, getPropsWithPrefix, getRange, getRaw, getResource, getSocketAddr, getSocketAddr, getStorageSize, getStorageSize, getStringCollection, getStrings, getStrings, getTimeDuration, getTimeDuration, getTimeDuration, getTimeDuration, getTimeDurationHelper, getTimeDurations, getTrimmed, getTrimmed, getTrimmedStringCollection, getTrimmedStrings, getTrimmedStrings, getValByRegex, hasWarnedDeprecation, isDeprecated, isPropertyTag, iterator, onlyKeyExists, readFields, reloadConfiguration, reloadExistingConfigurations, set, set, setAllowNullValueProperties, setBoolean, setBooleanIfUnset, setClass, setClassLoader, setDeprecatedProperties, setDouble, setEnum, setFloat, setIfUnset, setInt, setLong, setPattern, setQuietMode, setRestrictSystemProperties, setRestrictSystemPropertiesDefault, setRestrictSystemProps, setSocketAddr, setStorageSize, setStrings, setTimeDuration, size, substituteCommonVariables, toString, unset, updateConnectAddr, updateConnectAddr, write, writeXml, writeXml, writeXml, writeXml`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### HdfsConfiguration

    public HdfsConfiguration()

  - ### HdfsConfiguration

    public HdfsConfiguration(boolean loadDefaults)

  - ### HdfsConfiguration

    public HdfsConfiguration(org.apache.hadoop.conf.Configuration conf)

- ## Method Details

  - ### init

    public static void init()
    This method is here so that when invoked, HdfsConfiguration is class-loaded if it hasn't already been previously loaded. Upon loading the class, the static initializer block above will be executed to add the deprecated keys and to add the default resources. It is safe for this method to be called multiple times as the static initializer block will only get invoked once. This replaces the previously, dangerous practice of other classes calling Configuration.addDefaultResource("hdfs-default.xml") directly without loading this class first, thereby skipping the key deprecation.

  - ### main

    public static void main(String[] args)